#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
description: GTKRawGallery Linux setup;
copyright © 2013 Daniele Isca
license: GNU GPL v.3 (see file COPYING.txt);
This software comes with no warranty of any kind, use at your own risk!
'''
from distutils.core import setup
import shutil
import os.path
import glob

if os.path.isdir('/usr/share/gtkrawgallery'):
	datadir = '/usr/share/gtkrawgallery'
elif os.path.isdir('/usr/share/gtkrawgallery'):
	datadir = '/usr/share/gtkrawgallery'
else:
	datadir = False
if datadir:
	try:
		print 'cleaning the system from older data files...'
		shutil.rmtree(datadir, ignore_errors=True)
		print 'removing %s ......done!' % datadir
	except:
		pass
if os.path.isfile('/usr/local/share/locale/it/LC_MESSAGES/gtkrawgallery.mo'):
                os.remove('/usr/local/share/locale/it/LC_MESSAGES/gtkrawgallery.mo')
                print 'removing %s ......done!' % '/usr/local/share/locale/it/LC_MESSAGES/gtkrawgallery.mo'
if os.path.isfile('/usr/share/locale/it/LC_MESSAGES/gtkrawgallery.mo'):
                os.remove('/usr/share/locale/it/LC_MESSAGES/gtkrawgallery.mo')
                print 'removing %s ......done!' % '/usr/share/locale/it/LC_MESSAGES/gtkrawgallery.mo'


setup(name='GTKRawGallery',
	version='0.9.9',
	description='A workflow oriented photo manager for digital camera raw image development',
	author='Daniele Isca',
	author_email='bit123@users.sourceforge.net',
	url='http://sourceforge.net/projects/gtkrawgallery/',
	classifiers=[
		'Environment :: X11 Applications',
		'Intended Audience :: End Users/Desktop',
		'License :: GNU General Public License (GPL v.3)',
		'Operating System :: Linux :: Windows',
		'Programming Language :: Python',
		'Topic :: Multimedia :: Graphics :: Photography'],
	py_modules=['gtkrawgallery', 'uninstall_gtkrawgallery'],
	scripts=['gtkrawgallery', 'uninstall-gtkrawgallery'],
                packages=[
                        'atom', 
                        'gdata', 
                        'gdata.Crypto', 
                        'gdata.Crypto.Cipher', 
                        'gdata.Crypto.Hash', 
                        'gdata.Crypto.Protocol', 
                        'gdata.Crypto.PublicKey', 
                        'gdata.Crypto.Util',
                        'gdata.acl', 
                        'gdata.alt', 
                        'gdata.analytics', 
                        'gdata.apps', 
                        'gdata.apps.adminsettings', 
                        'gdata.apps.audit', 
                        'gdata.apps.emailsettings', 
                        'gdata.apps.groups',
                        'gdata.apps.migration',
                        'gdata.apps.multidomain',
                        'gdata.apps.organization', 
                        'gdata.blogger', 
                        'gdata.books',
                        'gdata.calendar', 
                        'gdata.calendar_resource',
                        'gdata.codesearch', 
                        'gdata.contacts', 
                        'gdata.contentforshopping', 
                        'gdata.docs', 
                        'gdata.dublincore', 
                        'gdata.exif', 
                        'gdata.finance', 
                        'gdata.geo', 
                        'gdata.health',
                        'gdata.media', 
                        'gdata.notebook', 
                        'gdata.oauth', 
                        'gdata.opensearch',
                        'gdata.photos', 
                        'gdata.projecthosting',
                        'gdata.sites', 
                        'gdata.spreadsheet', 
                        'gdata.spreadsheets', 
                        'gdata.tlslite', 
                        'gdata.tlslite.integration', 
                        'gdata.tlslite.utils', 
                        'gdata.webmastertools', 
                        'gdata.youtube', 
                        ],
                package_dir = {'gdata':'src/gdata', 'atom':'src/atom'},
                data_files=[('share/gtkrawgallery', ['README.txt', 'COPYING.txt', 'CHANGELOG.txt', 'src/wlist.db', 'src/intl.py',
                                'src/gtkrg_smtp.py', 'src/exif.py', 'src/gtkrg_profiles.py', 'src/gtkrg_sqlite.py', 'src/gtkrg_print.py', 'src/webview.ui',
                                'src/gtkrg.ui', 'src/splash.ui', 'src/print.ui', 'src/publisher.ui', 'src/info.ui', 'src/gtkrg_loader.py', 'src/gtkrg_dropbox.py',
                                'src/gtkrg_facebook.py', 'src/gtkrg_flickr.py', 'src/gtkrg_picasaweb.py', 'src/facebook.py', 'src/gtkrc', 'src/exiftool.py', 'src/curve.py']),
		('share/gtkrawgallery/icons', glob.glob('src/icons/*')),
	   	('share/gtkrawgallery/pythonmagickwand', glob.glob('src/pythonmagickwand/*')),
                                ('share/gtkrawgallery/flickrapi', glob.glob('src/flickrapi/*')),
                                ('share/gtkrawgallery/dropbox', glob.glob('src/dropbox/*')),
		('share/applications', ['src/gtkrawgallery.desktop']),
		('share/locale/it/LC_MESSAGES', ['locale/it/LC_MESSAGES/gtkrawgallery.mo']),
		('share/pixmaps', ['src/icons/gtkrawgallery.png'])],
	)

#if os.path.isdir('/usr/share/locale/it/LC_MESSAGES'):
#                shutil.copy('locale/it/LC_MESSAGES/gtkrawgallery.mo', '/usr/share/locale/it/LC_MESSAGES')       #workaround for ubuntu
if os.path.isdir('build'):
                shutil.rmtree('build', ignore_errors=True)
                print "removing build directory ......done!"

